%global npm_name snapdragon-node
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.1
Release: %mkrel 8
Summary: Snapdragon utility for creating a new AST node in custom code, such as plugins
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/snapdragon-node
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(define-property)
Requires: npm(isobject)
Requires: npm(snapdragon-util)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep snapdragon-util ^5.0.
%nodejs_fixdep define-property ">=2.0.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.1.1-8.mga9
+ Revision: 1819969
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 2.1.1-7.mga8
+ Revision: 1584085
- recompute deps

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-6.mga8
+ Revision: 1536688
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-5.mga8
+ Revision: 1280951
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.1.1-4.mga7
+ Revision: 1227340
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 2.1.1-3.mga7
+ Revision: 1225582
- Fix nodejs deps for define-property

* Thu May 03 2018 kekepower <kekepower> 2.1.1-2.mga7
+ Revision: 1225510
- Fix nodejs dep for snapdragon-util

* Thu May 03 2018 kekepower <kekepower> 2.1.1-1.mga7
+ Revision: 1225439
- imported package nodejs-snapdragon-node

